org.keycloak.models.map.user

## Class UserFederatedIdentityEntity

- java.lang.Object
- - org.keycloak.models.map.user.UserFederatedIdentityEntity

- All Implemented Interfaces:
    UpdatableEntity

      public class UserFederatedIdentityEntity
      extends Object
      implements UpdatableEntity

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserFederatedIdentityEntity` | `fromModel(FederatedIdentityModel model)`
    `String` | `getIdentityProvider()`
    `String` | `getToken()`
    `String` | `getUserId()`
    `String` | `getUserName()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `setIdentityProvider(String identityProvider)`
    `void` | `setToken(String token)`
    `void` | `setUserId(String userId)`
    `void` | `setUserName(String userName)`
    `static FederatedIdentityModel` | `toModel(UserFederatedIdentityEntity entity)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fromModel

          public static UserFederatedIdentityEntity fromModel(FederatedIdentityModel model)

    - #### toModel

          public static FederatedIdentityModel toModel(UserFederatedIdentityEntity entity)

    - #### getToken

          public String getToken()

    - #### setToken

          public void setToken(String token)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getIdentityProvider

          public String getIdentityProvider()

    - #### setIdentityProvider

          public void setIdentityProvider(String identityProvider)

    - #### getUserName

          public String getUserName()

    - #### setUserName

          public void setUserName(String userName)

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.